<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000002"
      creationDate="2019-09-10 11:25"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="3"
      Updated="2020-03-10 11:31">
    </libraryManifest>

    <deviceInfo
      deviceType="_SOFTWARE_"
      deviceManufacturer="Chamsys"
      deviceModel="MagicQ_osc"
      deviceVersion="1.8.4.4"
      deviceDescription="Lighting Console"
      releaseDate="2019-09-10"
      deviceSite="https://chamsyslighting.com"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection
      name="Connection"
      description="The parameters that control the communication between your device and your Chamsys console"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="IP Address"/>
      <port default="8000" description="Port"/>
    </connection>

    <features>

      <group description="Playbacks">

        <feature id="1" type="_RANGE_" description="Set playback fader level" address="/pb/%d">
          <parameter description="Playback" mode="_STR_" type="_INT_" min="1" max="10" active="false"></parameter>
          <parameter description="Opacity" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="2" type="_PULSE_" description="Go on playback" address="/pb/%d/go">
          <parameter description="Playback" mode="_STR_" type="_INT_" min="1" max="10" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

        <feature id="3" type="_PUSH_" description="Playback Flash" address="/pb/%d/flash">
          <parameter description="Playback" mode="_STR_" type="_INT_" min="1" max="10" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="4" type="_PULSE_" description="Pause playback" address="/pb/%d/pause">
          <parameter description="Playback" mode="_STR_" type="_INT_" min="1" max="10" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

        <feature id="5" type="_PULSE_" description="Release playback" address="/pb/%d/release">
          <parameter description="Playback" mode="_STR_" type="_INT_" min="1" max="10" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

        <feature id="6" type="_PUSH_" description="Jump to Cue" address="/pb/%d/%d">
          <parameter description="Playback" mode="_STR_" type="_INT_" min="1" max="10" active="false"></parameter>
          <parameter description="Cue" mode="_STR_" type="_INT_" min="1" max="200" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

      </group>




      <group description="Actions">

        <feature id="7" type="_TOGGLE_" description="Blackout" address="/dbo">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="0"/>
            <choice description="Release" value="1"/>
          </parameter>
        </feature>

        <feature id="8" type="_TOGGLE_" description="Swap" address="/swap">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="9" type="_TOGGLE_" description="Executor Button" address="/exec/%d/%d">
          <parameter description="Exe Page" mode="_STR_" type="_INT_" min="1" max="50" active="false"></parameter>
          <parameter description="Exe Button" mode="_STR_" type="_INT_" min="1" max="900" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="10" type="_RANGE_" description="Executor Fader" address="/exec/%d/%d">
          <parameter description="Exe Page" mode="_STR_" type="_INT_" min="1" max="50" active="false"></parameter>
          <parameter description="Exe Button" mode="_STR_" type="_INT_" min="1" max="900" active="false"></parameter>
          <parameter description="Level" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="11" type="_PULSE_" description="Send remote ethernet command" address="/rpc/">
          <parameter description="Command" mode="_OSC_" type="_STR_" maxlen="100" hint="Enter Command"/>
        </feature>

        <feature id="12" type="_PULSE_" description="Send MIDI message" address="/rpc">
          <parameter description="Name" mode="_OSC_" type="_STR_" maxlen="100" hint="Enter message"/>
        </feature>

      </group>





      <group description="Feedback">

        <feature id="13" type="_PULSE_" description="Turns feedback off" address="/feedback/off">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

        <feature id="14" type="_PULSE_" description="Turns On Pb feedback" address="/feedback/pb">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

        <feature id="15" type="_PULSE_" description="Turns On Executor feedback" address="/feedback/exec">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

        <feature id="16" type="_PULSE_" description="Turns On Pb/Executor feedback" address="/feedback/pb+exec">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="false" default="1"></parameter>
        </feature>

      </group>

    </features>

  </dspDevice>
</DSP>
