<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000012"
      creationDate="2020-05-17 17:07"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="1"
      Updated="2020-05-17 17:07">
    </libraryManifest>

    <deviceInfo
      deviceType="_SOFTWARE_"
      deviceManufacturer="Enttec"
      deviceModel="DPro_osc"
      deviceVersion=""
      deviceDescription="Lighting Software"
      releaseDate=""
      deviceSite="https://www.enttec.co.uk/en/product/controls/dmx-lighting-control-software/d-pro/"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection
      name="Connection"
      description="The parameters that control the communication between your device and D-Pro"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="IP Address"/>
      <port default="8000" description="Port"/>
    </connection>

    <features>

      <!-- Control -->

      <group description="SubMasters">

        <feature id="1"
          type="_RANGE_"
          description="SubMaster"
          address="/sc/fade/run/%d/%d">
          <parameter
            description="Page"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="4"
            active="false">
          </parameter>
          <parameter
            description="SubMaster"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="12"
            active="false">
          </parameter>
          <parameter
            description="Level"
            mode="_OSC_"
            type="_FLOAT_"
            active="true"
            min="0"
            max="1"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>

      </group>


      <group description="Masters">

        <feature id="2"
          type="_RANGE_"
          description="GrandMaster"
          address="/sc/gm">
          <parameter
            description="Level"
            mode="_OSC_"
            type="_FLOAT_"
            active="true"
            min="0"
            max="1"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>

        <feature id="3"
          type="_RANGE_"
          description="Tempo"
          address="/sc/tempo">
          <parameter
            description="Level"
            mode="_OSC_"
            type="_FLOAT_"
            active="true"
            min="30"
            max="480"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>

      </group>



      <group description="Buttons">

        <feature id="4"
          type="_PUSH_"
          description="Clear Cues"
          address="/sc/reset">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="5"
          type="_PUSH_"
          description="TAP"
          address="/sc/tap">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="6"
          type="_PUSH_"
          description="Sync"
          address="/sc/sync">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="7"
          type="_TOGGLE_"
          description="Snapshots"
          address="/sc/snap/run/%d/%d/%d">
          <parameter
            description="Page"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="2"
            active="false">
          </parameter>
          <parameter
            description="Row"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="6"
            active="false">
          </parameter>
          <parameter
            description="Column"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="4"
            active="false">
          </parameter>
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="T"
            active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="8"
          type="_TOGGLE_"
          description="Buttons"
          address="/sc/btn/run/%d/%d/%d">
          <parameter
            description="Page"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="2"
            active="false">
          </parameter>
          <parameter
            description="Row"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="6"
            active="false">
          </parameter>
          <parameter
            description="Column"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="8"
            active="false">
          </parameter>
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="T"
            active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="9"
          type="_PUSH_"
          description="Blackout"
          address="/sc/gm">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="0"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="10"
          type="_PUSH_"
          description="Reset Speed"
          address="/sc/speed">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="1"/>
          </parameter>
        </feature>

      </group>

    </features>

  </dspDevice>
</DSP>
