<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000011"
      creationDate="2020-05-09 19:07"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="1"
      Updated="2020-05-09 19:07">
    </libraryManifest>

    <deviceInfo
      deviceType="_SOFTWARE_"
      deviceManufacturer="Imimot"
      deviceModel="Mitti_osc"
      deviceVersion="1.5.5"
      deviceDescription="Video PlayBack Software"
      releaseDate=""
      deviceSite="https://imimot.com"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection name="Connection"
      description="The parameters that control the communication between your device and Mitti"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="Enter IP Address"/>
      <port default="51000" description="Port"/>
    </connection>



    <features>

    <group description="Master Level">

      <feature id="1"
        type="_RANGE_"
        description="Playhead"
        address="/mitti/playhead">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="2"
        type="_TOGGLE_"
        description="Toggle Play"
        address="/mitti/togglePlay">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="3"
        type="_TOGGLE_"
        description="Toggle Loop"
        address="/mitti/toggleLoop">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="4"
        type="_PUSH_"
        description="Prev Cue"
        address="/mitti/triggerPrevCue">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="5"
        type="_PUSH_"
        description="Next Cue"
        address="/mitti/triggerNextCue">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="6"
        type="_RANGE_"
        description="Main Opacity"
        address="/mitti/mainFader">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

    </group>



    <group description="Prev Cue Settings">

      <feature id="7"
        type="_PUSH_"
        description="Jump to Prev Cue"
        address="/mitti/previous/jump">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="8"
        type="_TOGGLE_"
        description="Toggle VideoFx"
        address="/mitti/previous/toggleVideoFx">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="9"
        type="_TOGGLE_"
        description="Toggle Audio"
        address="/mitti/previous/toggleAudio">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="10"
        type="_TOGGLE_"
        description="Toggle FadeIn"
        address="/mitti/previous/toggleFadeIn">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="11"
        type="_TOGGLE_"
        description="Toggle FadeOut"
        address="/mitti/previous/toggleFadeOut">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="12"
        type="_TOGGLE_"
        description="Pause at Begining"
        address="/mitti/previous/togglePauseAtBeginning">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="13"
        type="_TOGGLE_"
        description="Pause at End"
        address="/mitti/previous/togglePauseAtEnd">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="14"
        type="_TOGGLE_"
        description="Toggle Loop"
        address="/mitti/previous/toggleLoop">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

    </group>




    <group description="Current Cue Settings">

      <feature id="15"
        type="_PUSH_"
        description="Jump to Prev Cue"
        address="/mitti/current/jump">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="16"
        type="_TOGGLE_"
        description="Toggle VideoFx"
        address="/mitti/current/toggleVideoFx">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="17"
        type="_TOGGLE_"
        description="Toggle Audio"
        address="/mitti/current/toggleAudio">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="18"
        type="_TOGGLE_"
        description="Toggle FadeIn"
        address="/mitti/current/toggleFadeIn">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="19"
        type="_TOGGLE_"
        description="Toggle FadeOut"
        address="/mitti/current/toggleFadeOut">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="20"
        type="_TOGGLE_"
        description="Pause at Begining"
        address="/mitti/current/togglePauseAtBeginning">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="21"
        type="_TOGGLE_"
        description="Pause at End"
        address="/mitti/current/togglePauseAtEnd">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="22"
        type="_TOGGLE_"
        description="Toggle Loop"
        address="/mitti/current/toggleLoop">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="23"
        type="_RANGE_"
        description="Opacity"
        address="/mitti/current/opacity">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="24"
        type="_RANGE_"
        description="Brightness"
        address="/mitti/current/brightness">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="-1"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="25"
        type="_RANGE_"
        description="Contrast"
        address="/mitti/current/contrast">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="-1"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="26"
        type="_RANGE_"
        description="Volume"
        address="/mitti/current/volume">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="27"
        type="_RANGE_"
        description="Pan"
        address="/mitti/current/pan">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="-1"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="28"
        type="_RANGE_"
        description="Red"
        address="/mitti/current/red">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="-1"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="29"
        type="_RANGE_"
        description="Green"
        address="/mitti/current/green">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="-1"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="30"
        type="_RANGE_"
        description="Blue"
        address="/mitti/current/blue">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="-1"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

    </group>




    <group description="Next Cue Settings">

      <feature id="31"
        type="_PUSH_"
        description="Jump to Prev Cue"
        address="/mitti/next/jump">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="32"
        type="_TOGGLE_"
        description="Toggle VideoFx"
        address="/mitti/next/toggleVideoFx">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="33"
        type="_TOGGLE_"
        description="Toggle Audio"
        address="/mitti/next/toggleAudio">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="34"
        type="_TOGGLE_"
        description="Toggle FadeIn"
        address="/mitti/next/toggleFadeIn">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="35"
        type="_TOGGLE_"
        description="Toggle FadeOut"
        address="/mitti/next/toggleFadeOut">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="36"
        type="_TOGGLE_"
        description="Pause at Begining"
        address="/mitti/next/togglePauseAtBeginning">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="37"
        type="_TOGGLE_"
        description="Pause at End"
        address="/mitti/next/togglePauseAtEnd">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

      <feature id="38"
        type="_TOGGLE_"
        description="Toggle Loop"
        address="/mitti/next/toggleLoop">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="T"
          active="T">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

    </group>

    </features>

  </dspDevice>
</DSP>
