<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000010"
      creationDate="2020-05-09 17:18"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="1"
      Updated="2020-05-09 17:18">
    </libraryManifest>

    <deviceInfo
      deviceType="_SOFTWARE_"
      deviceManufacturer="Imimot"
      deviceModel="Vezer_osc"
      deviceVersion="1.8.7"
      deviceDescription="TimeLine Software"
      releaseDate=""
      deviceSite="https://imimot.com"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection name="Connection"
      description="The parameters that control the communication between your device and Vezer"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="Enter IP Address"/>
      <port default="1234" description="Port"/>
    </connection>



    <features>

    <group description="Playhead">

      <feature id="1"
        type="_RANGE_"
        description="Playhead"
        address="/vezer/composition%d/playhead">
        <parameter
          description="Choose Composition"
          mode="_STR_"
          type="_INT_"
          min="1"
          max="100"
          active="false"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="2"
        type="_PULSE_"
        description="Jump to Frame"
        address="/vezer/composition%d/jumptoframe">
        <parameter
          description="Composition"
          mode="_STR_"
          type="_INT_"
          min="1"
          max="100"
          active="false">
        </parameter>
        <parameter
          description="Frame"
          mode="_OSC_"
          type="_INT_"
          active="false"
          default="30">
        </parameter>
      </feature>

      <feature id="3"
        type="_PULSE_"
        description="Next Frame"
        address="/vezer/composition%d/nextframe">
        <parameter
          description="Composition"
          mode="_STR_"
          type="_INT_"
          min="1"
          max="100"
          active="false">
        </parameter>
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="false"
          default="1">
        </parameter>
      </feature>

      <feature id="4"
        type="_PULSE_"
        description="Prev Frame"
        address="/vezer/composition%d/prevframe">
        <parameter
          description="Composition"
          mode="_STR_"
          type="_INT_"
          min="1"
          max="100"
          active="false">
        </parameter>
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="false"
          default="1">
        </parameter>
      </feature>

    </group>



    <group description="Triggering">

      <feature id="5"
        type="_PULSE_"
        description="Stop All Compositions"
        address="/vezer/stopcomps">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="false"
          default="0">
        </parameter>
      </feature>

      <feature id="6"
        type="_PULSE_"
        description="Trigger Next Compositions"
        address="/vezer/triggernextcomp">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="false"
          default="0">
        </parameter>
      </feature>

      <feature id="7"
        type="_PULSE_"
        description="Trigger Prev Compositions"
        address="/vezer/triggerprevcomp">
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="false"
          default="0">
        </parameter>
      </feature>

      <feature id="8"
        type="_PULSE_"
        description="Trigger Composition"
        address="/vezer/triggercompatindex">
        <parameter
          description="Composition"
          mode="_OSC_"
          type="_INT_"
          active="false"
          default="1">
        </parameter>
      </feature>

      <feature id="9"
        type="_PULSE_"
        description="Select Composition"
        address="/vezer/selectcompatindex">
        <parameter
          description="Composition"
          mode="_OSC_"
          type="_INT_"
          active="false"
          default="1">
        </parameter>
      </feature>

    </group>



    <group description="Rotate Hue">

      <feature id="10"
        type="_RANGE_"
        description="Rotate Hue"
        address="/vezer/rotatehue">
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="1"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

    </group>

    </features>

  </dspDevice>
</DSP>
