<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000009"
      creationDate="2020-04-30 21:42"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="1"
      Updated="2020-04-30 21:42">
    </libraryManifest>

    <deviceInfo
      deviceType="_HARDWARE_"
      deviceManufacturer="LightShark"
      deviceModel="LSWing_osc"
      deviceVersion="1.0.0"
      deviceDescription="Muliprotocolor Control Surface"
      releaseDate="2020-05-10"
      deviceSite="https://www.workpro.es/ls_wing"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection name="Connection"
      description="The parameters that control the communication between your device and your LS-Wing controller"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="127.0.0.1 to local"/>
      <port default="9000" description="Port"/>
    </connection>

    <features>

        <feature id="1"
          type="_PUSH_"
          description="Focus Page Button"
          address="/LSW/FocusButton/%d">
          <parameter
            description="Choose Button"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="60"
            active="false"/>
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="2"
          type="_PUSH_"
          description="Push Button"
          address="/LSW/Button/%d/%d">
          <parameter
            description="Choose Page"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="2"
            active="false"/>
            <parameter
              description="Choose Button"
              mode="_STR_"
              type="_INT_"
              min="1"
              max="60"
              active="false"/>
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>


        <feature id="3"
          type="_RANGE_"
          description="Focus Page Fader"
          address="/LSW/FocusFader/%d">
          <parameter
            description="Choose Fader"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="10"
            active="false"/>
          <parameter
            description="Level"
            mode="_OSC_"
            type="_FLOAT_"
            active="true"
            min="0"
            max="255"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>

        <feature id="4"
          type="_RANGE_"
          description="Fader"
          address="/LSW/Fader/%d/%d">
          <parameter
            description="Choose Page"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="2"
            active="false"/>
          <parameter
            description="Choose Fader"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="10"
            active="false"/>
          <parameter
            description="Level"
            mode="_OSC_"
            type="_INT_"
            active="true"
            min="0"
            max="255"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>


        <feature id="5"
          type="_RANGE_"
          description="Set All Faders"
          address="/LSW/PB/Level">
          <parameter
            description="Level"
            mode="_OSC_"
            type="_FLOAT_"
            active="true"
            min="0"
            max="255"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>


        <feature id="6"
          type="_PUSH_"
          description="Sync All"
          address="/LSW/Sync">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="7"
          type="_PUSH_"
          description="Sync Faders"
          address="/LSW/Sync/Faders">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>


        <feature id="8"
          type="_PUSH_"
          description="Sync Buttons"
          address="/LSW/Sync/Buttons">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>


        <feature id="9"
          type="_PUSH_"
          description="Release All Buttons"
          address="/LSW/Buttons/Reset">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>


        <feature id="10"
          type="_PUSH_"
          description="Reboot"
          address="/LSW/Reboot">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>


    </features>

  </dspDevice>
</DSP>
