<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000014"
      creationDate="2020-05-09 16:37"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="1"
      Updated="2020-05-09 16:37">
    </libraryManifest>

    <deviceInfo
      deviceType="_SOFTWARE_"
      deviceManufacturer="MA_Lighting"
      deviceModel="MA3_osc"
      deviceVersion="1.1.3.2"
      deviceDescription="Lighting Console"
      releaseDate="2020-03-20"
      deviceSite="https://www.malighting.com"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape="">
    </deviceInfo>

    <connection name="Connection"
      description="The parameters that control the communication between your device and your MA console"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="Enter IP Address"/>
      <port default="9000" description="Port"/>
    </connection>


    <features>

      <group description="Executors">

      <feature id="1"
        type="_RANGE_"
        description="Sequence Fader"
        address="/11.14.1.5.%d">
        <parameter
          description="Sequence"
          mode="_STR_"
          type="_INT_"
          min="1"
          max="500"
          active="false"/>
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="2"
        type="_PUSH_"
        description="Go+"
        address="/11.14.1.5.%d">
        <parameter
          description="Sequence"
          mode="_STR_"
          type="_INT_"
          min="1"
          max="500"
          active="false">
        </parameter>
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="Go+"
          active="false"
          hidden="true">
        </parameter>
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value="0"/>
        </parameter>
      </feature>

    </group>

    <group description="Fader Masters">

      <feature id="3"
        type="_RANGE_"
        description="Grand Master"
        address="/11.13.2.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="4"
        type="_RANGE_"
        description="World Master"
        address="/11.14.1.1.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="5"
        type="_RANGE_"
        description="HighLight Master"
        address="/11.19.1.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderHighlight"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="0"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="6"
        type="_RANGE_"
        description="LowLight Master"
        address="/11.19.1.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderLowlight"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="0"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="7"
        type="_RANGE_"
        description="Solo Master"
        address="/11.19.1.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderSolo"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="0"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="8"
        type="_RANGE_"
        description="Grand Rate"
        address="/11.13.2.6">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="9"
        type="_RANGE_"
        description="Grand Speed"
        address="/11.13.2.7">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="10"
        type="_RANGE_"
        description="Prog Time"
        address="/11.19.1.2">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderTime"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="0"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="11"
        type="_RANGE_"
        description="Exec Time"
        address="/11.19.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="0"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="12"
        type="_RANGE_"
        description="Fader Speed"
        address="/11.19.1.2">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderSpeed"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="13"
        type="_RANGE_"
        description="Sound In"
        address="/11.13.2.13">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>

      <feature id="14"
        type="_RANGE_"
        description="Sound Fade"
        address="/11.13.2.14">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="FaderMaster"
          active="false"
          hidden="true"/>
        <parameter
            description="Name"
            mode="_OSC_"
            type="_INT_"
            default="1"
            active="false"
            hidden="true"/>
        <parameter
          description="Level"
          mode="_OSC_"
          type="_FLOAT_"
          active="true"
          min="0"
          max="100"
          startvalue="0"
          hidden="true">
        </parameter>
      </feature>


    </group>

    <group description="Buttons">

      <feature id="15"
        type="_PUSH_"
        description="HighLight"
        address="/11.19.1.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="Highlight"
          active="false"
          hidden="true">
        </parameter>
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="2"/>
          <choice description="Release" value=""/>
        </parameter>
      </feature>

      <feature id="16"
        type="_PUSH_"
        description="Solo"
        address="/11.19.1.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="Solo"
          active="false"
          hidden="true">
        </parameter>
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="2"/>
          <choice description="Release" value=""/>
        </parameter>
      </feature>

      <feature id="17"
        type="_PUSH_"
        description="Blind"
        address="/11.19.1">
        <parameter
          description="Name"
          mode="_OSC_"
          type="_STR_"
          maxlen="100"
          default="Toggle"
          active="false"
          hidden="true">
        </parameter>
        <parameter
          description=""
          mode="_OSC_"
          type="_INT_"
          hidden="true"
          active="true">
          <choice description="Press" value="1"/>
          <choice description="Release" value=""/>
        </parameter>
      </feature>

    </group>

    </features>

  </dspDevice>
</DSP>
