<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../dsp_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000001"
      creationDate="2020-03-08 10:23"
      author="ACervera"
      wing_soft_version="1.0.0"
      version="2"
      Updated="2020-03-10 11:31">
    </libraryManifest>

    <deviceInfo
      deviceType="_SOFTWARE_"
      deviceManufacturer="Resolume"
      deviceModel="V7_osc"
      deviceVersion="7.0.5"
      deviceDescription="Vj Software"
      releaseDate="2019-11-28"
      deviceSite="https://www.resolume.com"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection
      name="Connection"
      description="The parameters that control the communication between your device and Resolume"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="IP Address"/>
      <port default="8000" description="Port"/>
    </connection>

    <features>

      <!-- Layer -->

      <group description="Layer">

        <feature id="1" type="_PULSE_" description="Select Layer" address="/composition/layers/%d/select">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
        </feature>

        <feature id="2" type="_PULSE_" description="Clear Layer" address="/composition/layers/%d/clear">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
        </feature>

        <feature id="3" type="_PUSH_" description="Clear Layer (Selected)" address="/composition/selectedlayer/clear">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="4" type="_TOGGLE_" description="Bypass Layer" address="/composition/layers/%d/bypassed">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="T" active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="5" type="_TOGGLE_" description="Bypass Layer (Selected)" address="/composition/selectedlayer/bypassed">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="T" active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="6" type="_TOGGLE_" description="Solo Layer" address="/composition/layers/%d/solo">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="T" active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="7" type="_TOGGLE_" description="Solo Layer (Selected)" address="/composition/selectedlayer/solo">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="T" active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="8" type="_RANGE_" description="Layer Master" address="/composition/layers/%d/master">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="9" type="_RANGE_" description="Layer Master (Selected)" address="/composition/selectedlayer/master">
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="10" type="_RANGE_" description="Layer Volume" address="/composition/layers/%d/audio/volume">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="11" type="_RANGE_" description="Layer Volume (Selected)" address="/composition/selectedlayer/audio/volume">
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="12" type="_RANGE_" description="Layer Opacity" address="/composition/layers/%d/video/opacity">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="13" type="_RANGE_" description="Layer Opacity (Selected)" address="/composition/selectedlayer/video/opacity">
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="14" type="_RANGE_" description="Layer Transition Time" address="/composition/layers/%d/transition/duration">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="15" type="_RANGE_" description="Layer Transition Time (Selected)" address="/composition/selectedlayer/transition/duration">
          <parameter description="Master" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="16" type="_EXCLUSIVE_" description="Layer Blend Mode" address="/composition/layers/%d/video/transition/mixer/blendmode">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Add" value="0"/>
            <choice description="Alpha" value="1"/>
            <choice description="BW" value="2"/>
            <choice description="Burn" value="3"/>
            <choice description="Cube" value="4"/>
            <choice description="Cut" value="5"/>
            <choice description="DigiGlitch" value="6"/>
            <choice description="Darken" value="7"/>
            <choice description="Diffrence" value="8"/>
            <choice description="Difference_1" value="9"/>
            <choice description="Displace" value="10"/>
            <choice description="Dodge" value="11"/>
            <choice description="HardLight" value="12"/>
            <choice description="JitterBug" value="13"/>
            <choice description="Lighten" value="14"/>
            <choice description="LoRez" value="15"/>
            <choice description="LumaIsAlpha" value="16"/>
            <choice description="LumaKey" value="17"/>
            <choice description="LumaKey_1" value="18"/>
            <choice description="MetaMix" value="19"/>
            <choice description="MultiTask" value="20"/>
            <choice description="Multiply" value="21"/>
            <choice description="Noisy" value="22"/>
            <choice description="Parts" value="23"/>
            <choice description="PushDown" value="24"/>
            <choice description="PushLeft" value="25"/>
            <choice description="PushRight" value="26"/>
            <choice description="PushUp" value="27"/>
            <choice description="RGB" value="28"/>
            <choice description="RotateX" value="29"/>
            <choice description="RotateY" value="30"/>
            <choice description="Screen" value="31"/>
            <choice description="ShiftRGB" value="32"/>
            <choice description="Side_by_Side" value="33"/>
            <choice description="SoftLight" value="34"/>
            <choice description="Static" value="35"/>
            <choice description="Subtract" value="36"/>
            <choice description="Tile" value="37"/>
            <choice description="TimeSwitcher" value="38"/>
            <choice description="Twitch" value="39"/>
            <choice description="WipeElipse" value="40"/>
            <choice description="ZoomIn" value="41"/>
            <choice description="ZoomOut" value="42"/>
            <choice description="toBlack" value="43"/>
            <choice description="toColor" value="44"/>
            <choice description="toWhite" value="45"/>
            <choice description="Random" value="46"/>
          </parameter>
        </feature>

        <feature id="17" type="_EXCLUSIVE_" description="Layer Blend Mode (Selected)" address="/composition/selectedlayer/video/transition/mixer/blendmode">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Add" value="0"/>
            <choice description="Alpha" value="1"/>
            <choice description="BW" value="2"/>
            <choice description="Burn" value="3"/>
            <choice description="Cube" value="4"/>
            <choice description="Cut" value="5"/>
            <choice description="DigiGlitch" value="6"/>
            <choice description="Darken" value="7"/>
            <choice description="Diffrence" value="8"/>
            <choice description="Difference_1" value="9"/>
            <choice description="Displace" value="10"/>
            <choice description="Dodge" value="11"/>
            <choice description="HardLight" value="12"/>
            <choice description="JitterBug" value="13"/>
            <choice description="Lighten" value="14"/>
            <choice description="LoRez" value="15"/>
            <choice description="LumaIsAlpha" value="16"/>
            <choice description="LumaKey" value="17"/>
            <choice description="LumaKey_1" value="18"/>
            <choice description="MetaMix" value="19"/>
            <choice description="MultiTask" value="20"/>
            <choice description="Multiply" value="21"/>
            <choice description="Noisy" value="22"/>
            <choice description="Parts" value="23"/>
            <choice description="PushDown" value="24"/>
            <choice description="PushLeft" value="25"/>
            <choice description="PushRight" value="26"/>
            <choice description="PushUp" value="27"/>
            <choice description="RGB" value="28"/>
            <choice description="RotateX" value="29"/>
            <choice description="RotateY" value="30"/>
            <choice description="Screen" value="31"/>
            <choice description="ShiftRGB" value="32"/>
            <choice description="Side_by_Side" value="33"/>
            <choice description="SoftLight" value="34"/>
            <choice description="Static" value="35"/>
            <choice description="Subtract" value="36"/>
            <choice description="Tile" value="37"/>
            <choice description="TimeSwitcher" value="38"/>
            <choice description="Twitch" value="39"/>
            <choice description="WipeElipse" value="40"/>
            <choice description="ZoomIn" value="41"/>
            <choice description="ZoomOut" value="42"/>
            <choice description="toBlack" value="43"/>
            <choice description="toColor" value="44"/>
            <choice description="toWhite" value="45"/>
            <choice description="Random" value="46"/>
          </parameter>
        </feature>

        <feature id="18" type="_EXCLUSIVE_" description="Layer XFade Group" address="/composition/layers/%d/crossfadergroup">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="None" value="0"/>
            <choice description="A" value="1"/>
            <choice description="B" value="2"/>
          </parameter>
        </feature>

        <feature id="19" type="_EXCLUSIVE_" description="Layer XFade Group (Selected)" address="/composition/selectedlayer/crossfadergroup">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="None" value="0"/>
            <choice description="A" value="1"/>
            <choice description="B" value="2"/>
          </parameter>
        </feature>

        <feature id="20" type="_PUSH_" description="Layer Connect NextClip" address="/composition/layers/%d/connectnextclip">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="21" type="_PUSH_" description="Layer Connect NextClip (Selected)" address="/composition/selectedlayer/connectnextclip">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="22" type="_PUSH_" description="Layer Connect PrevClip" address="/composition/layers/%d/connectprevclip">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="23" type="_PUSH_" description="Layer Connect PrevClip (Selected)" address="/composition/selectedlayer/connectprevclip">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="24" type="_EXCLUSIVE_" description="AutoPilot" address="/composition/layers/%d/autopilot">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Reverse" value="0"/>
            <choice description="OFF" value="1"/>
            <choice description="Forward" value="2"/>
            <choice description="Random" value="3"/>
          </parameter>
        </feature>

        <feature id="25" type="_EXCLUSIVE_" description="AutoPilot (Selected)" address="/composition/selectedlayer/autopilot">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Reverse" value="0"/>
            <choice description="OFF" value="1"/>
            <choice description="Forward" value="2"/>
            <choice description="Random" value="3"/>
          </parameter>
        </feature>

        <feature id="26" type="_RANGE_" description="Layer Width" address="/composition/layers/%d/video/width">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Width" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="27" type="_RANGE_" description="Layer Width (Selected)" address="/composition/selectedlayer/video/width">
          <parameter description="Width" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="28" type="_RANGE_" description="Layer Height" address="/composition/layers/%d/video/height">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Height" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="29" type="_RANGE_" description="Layer Height (Selected)" address="/composition/selectedlayer/video/height">
          <parameter description="Height" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="30" type="_EXCLUSIVE_" description="Auto Size" address="/composition/layers/%d/video/autosize">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="Auto Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Off" value="0"/>
            <choice description="Fill" value="1"/>
            <choice description="Fit" value="2"/>
            <choice description="Stretch" value="3"/>
          </parameter>
        </feature>

        <feature id="31" type="_EXCLUSIVE_" description="Auto Size (Selected)" address="/composition/selectedlayer/video/autosize">
          <parameter description="Auto Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Off" value="0"/>
            <choice description="Fill" value="1"/>
            <choice description="Fit" value="2"/>
            <choice description="Stretch" value="3"/>
          </parameter>
        </feature>

        <feature id="32" type="_RANGE_" description="Position X" address="/composition/layers/%d/video/effects/transform/positionx">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Position X" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="33" type="_RANGE_" description="Position X (Selected)" address="/composition/selectedlayer/video/effects/transform/positionx">
          <parameter description="Position X" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="34" type="_RANGE_" description="Position Y" address="/composition/layers/%d/video/effects/transform/positiony">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Position Y" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="35" type="_RANGE_" description="Position Y (Selected)" address="/composition/selectedlayer/video/effects/transform/positiony">
          <parameter description="Position Y" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="36" type="_RANGE_" description="Scale" address="/composition/layers/%d/video/effects/transform/scale">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Scale" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="37" type="_RANGE_" description="Scale (Selected)" address="/composition/selectedlayer/video/effects/transform/scale">
          <parameter description="Scale" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="38" type="_RANGE_" description="Scale Width" address="/composition/layers/%d/video/effects/transform/scalew">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Scale" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="39" type="_RANGE_" description="Scale Width (Selected)" address="/composition/selectedlayer/video/effects/transform/scalew">
          <parameter description="Scale" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="40" type="_RANGE_" description="Scale Height" address="/composition/layers/1/video/effects/transform/scaleh">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Scale" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="41" type="_RANGE_" description="Scale Height (Selected)" address="/composition/selectedlayer/video/effects/transform/scaleh">
          <parameter description="Scale" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="42" type="_RANGE_" description="Rotation X" address="/composition/layers/%d/video/effects/transform/rotationx">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Rotate" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="43" type="_RANGE_" description="Rotation X (Selected)" address="/composition/selectedlayer/video/effects/transform/rotationx">
          <parameter description="Rotate" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="44" type="_RANGE_" description="Rotation Y" address="/composition/layers/%d/video/effects/transform/rotationy">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Rotate" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="45" type="_RANGE_" description="Rotation Y (Selected)" address="/composition/selectedlayer/video/effects/transform/rotationy">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Rotate" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="46" type="_RANGE_" description="Rotation Z" address="/composition/layers/%d/video/effects/transform/rotationz">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Rotate" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="47" type="_RANGE_" description="Rotation Z (Selected)" address="/composition/selectedlayer/video/effects/transform/rotationz">
          <parameter description="Rotate" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="48" type="_RANGE_" description="Anchor X" address="/composition/layers/%d/video/effects/transform/anchorx">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Anchor" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="49" type="_RANGE_" description="Anchor X (Selected)" address="/composition/selectedlayer/video/effects/transform/anchorx">
          <parameter description="Anchor" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="50" type="_RANGE_" description="Anchor Y" address="/composition/layers/%d/video/effects/transform/anchory">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Anchor" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="51" type="_RANGE_" description="Anchor Y (Selected)" address="/composition/selectedlayer/video/effects/transform/anchory">
          <parameter description="Anchor" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="52" type="_RANGE_" description="Anchor Z" address="/composition/layers/%d/video/effects/transform/anchorz">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Anchor" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="53" type="_RANGE_" description="Anchor Z (Selected)" address="/composition/selectedlayer/video/effects/transform/anchorz">
          <parameter description="Anchor" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="54" type="_RANGE_" description="DashBoard Link1" address="/composition/layers/%d/dashboard/link1">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="55" type="_RANGE_" description="DashBoard Link1 (Selected)" address="/composition/selectedlayer/dashboard/link1">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="56" type="_RANGE_" description="DashBoard Link2" address="/composition/layers/%d/dashboard/link2">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="57" type="_RANGE_" description="DashBoard Link2 (Selected)" address="/composition/selectedlayer/dashboard/link2">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="58" type="_RANGE_" description="DashBoard Link3" address="/composition/layers/%d/dashboard/link3">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="59" type="_RANGE_" description="DashBoard Link3 (Selected)" address="/composition/selectedlayer/dashboard/link3">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="60" type="_RANGE_" description="DashBoard Link4" address="/composition/layers/%d/dashboard/link4">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="61" type="_RANGE_" description="DashBoard Link4 (Selected)" address="/composition/selectedlayer/dashboard/link4">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="62" type="_RANGE_" description="DashBoard Link5" address="/composition/layers/%d/dashboard/link5">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="63" type="_RANGE_" description="DashBoard Link5 (Selected)" address="/composition/selectedlayer/dashboard/link5">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="64" type="_RANGE_" description="DashBoard Link6" address="/composition/layers/%d/dashboard/link6">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="65" type="_RANGE_" description="DashBoard Link6 (Selected)" address="/composition/selectedlayer/dashboard/link6">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="66" type="_RANGE_" description="DashBoard Link7" address="/composition/layers/%d/dashboard/link7">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="67" type="_RANGE_" description="DashBoard Link7 (Selected)" address="/composition/selectedlayer/dashboard/link7">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="68" type="_RANGE_" description="DashBoard Link8" address="/composition/layers/%d/dashboard/link8">
          <parameter description="Layer" mode="_STR_" type="_INT_" min="1" max="64" active="false"></parameter>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="69" type="_RANGE_" description="DashBoard Link8 (Selected)" address="/composition/selectedlayer/dashboard/link8">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

      </group>

      <!-- Clip -->

      <group description="Clip">

        <feature id="70" type="_EXCLUSIVE_" description="Play Mode" address="/composition/layers/%d/clips/%d/transport/position/behaviour/playmode">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Loop" value="0"/>
            <choice description="Bounce" value="1"/>
            <choice description="Random" value="2"/>
            <choice description="Once+Clear" value="3"/>
            <choice description="Once+Hold" value="4"/>
          </parameter>
        </feature>

        <feature id="71" type="_EXCLUSIVE_" description="Play Mode (Selected)" address="/composition/selectedclip/transport/position/behaviour/playmode">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Loop" value="0"/>
            <choice description="Bounce" value="1"/>
            <choice description="Random" value="2"/>
            <choice description="Once+Clear" value="3"/>
            <choice description="Once+Hold" value="4"/>
          </parameter>
        </feature>

        <feature id="72" type="_EXCLUSIVE_" description="PlayModeAway" address="/composition/layers/%d/clips/%d/transport/position/behaviour/playmodeaway">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Restart" value="0"/>
            <choice description="Continue" value="1"/>
            <choice description="Relative" value="2"/>
          </parameter>
        </feature>

        <feature id="73" type="_EXCLUSIVE_" description="PlayModeAway (Slected)" address="/composition/selectedclip/transport/position/behaviour/playmodeaway">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Restart" value="0"/>
            <choice description="Continue" value="1"/>
            <choice description="Relative" value="2"/>
          </parameter>
        </feature>

        <feature id="74" type="_EXCLUSIVE_" description="Play Direction" address="/composition/layers/%d/clips/%d/transport/position/behaviour/playdirection">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Reverse" value="0"/>
            <choice description="Pause" value="1"/>
            <choice description="Forward" value="2"/>
          </parameter>
        </feature>

        <feature id="75" type="_EXCLUSIVE_" description="Play Direction (Selected)" address="/composition/selectedclip/transport/position/behaviour/playdirection">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Reverse" value="0"/>
            <choice description="Pause" value="1"/>
            <choice description="Forward" value="2"/>
          </parameter>
        </feature>

        <feature id="76" type="_RANGE_" description="Clip Speed" address="/composition/layers/%d/clips/%d/transport/position/behaviour/speed">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="77" type="_RANGE_" description="Clip Speed (Selected)" address="/composition/selectedclip/transport/position/behaviour/speed">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="78" type="_RANGE_" description="Clip Duration" address="/composition/layers/%d/clips/%d/transport/position/behaviour/duration">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="79" type="_RANGE_" description="Clip Duration (Selected)" address="/composition/selectedclip/transport/position/behaviour/duration">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="80" type="_RANGE_" description="Duration Divide" address="/composition/layers/%d/clips/%d/transport/position/behaviour/duration/divide">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="81" type="_RANGE_" description="Duration Divide (Selected)" address="/composition/selectedclip/transport/position/behaviour/duration/divide">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="82" type="_RANGE_" description="Duration Multiply" address="/composition/layers/%d/clips/%d/transport/position/behaviour/duration/multiply">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="83" type="_RANGE_" description="Duration Multiply (Selected)" address="/composition/selectedclip/transport/position/behaviour/duration/multiply">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="84" type="_RANGE_" description="Clip In" address="/composition/layers/%d/clips/%d/transport/position/in">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="85" type="_RANGE_" description="Clip In (Selected)" address="/composition/selectedclip/transport/position/in">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="86" type="_RANGE_" description="Clip Out" address="/composition/layers/%d/clips/%d/transport/position/out">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="87" type="_RANGE_" description="Clip Out (Selected)" address="/composition/selectedclip/transport/position/out">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="88" type="_RANGE_" description="Clip Position" address="/composition/layers/%d/clips/%d/transport/position">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="89" type="_RANGE_" description="Clip Position (Selected)" address="/composition/selectedclip/transport/position">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="90" type="_PUSH_" description="SetCue 1" address="/composition/layers/%d/clips/%d/transport/cuepoints/setparams/set1">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="91" type="_PUSH_" description="SetCue 1 (Selected)" address="/composition/selectedclip/transport/cuepoints/setparams/set1">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="92" type="_PUSH_" description="SetCue 2" address="/composition/layers/%d/clips/%d/transport/cuepoints/setparams/set2">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="93" type="_PUSH_" description="SetCue 2 (Selected)" address="/composition/selectedclip/transport/cuepoints/setparams/set2">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="94" type="_PUSH_" description="SetCue 3" address="/composition/layers/%d/clips/%d/transport/cuepoints/setparams/set3">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="95" type="_PUSH_" description="SetCue 3 (Selected)" address="/composition/selectedclip/transport/cuepoints/setparams/set3">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="96" type="_PUSH_" description="SetCue 4" address="/composition/layers/%d/clips/%d/transport/cuepoints/setparams/set4">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="97" type="_PUSH_" description="SetCue 4 (Selected)" address="/composition/selectedclip/transport/cuepoints/setparams/set4">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="98" type="_PUSH_" description="SetCue 5" address="/composition/layers/%d/clips/%d/transport/cuepoints/setparams/set5">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="99" type="_PUSH_" description="SetCue 5 (Selected)" address="/composition/selectedclip/transport/cuepoints/setparams/set5">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="100" type="_PUSH_" description="SetCue 6" address="/composition/layers/%d/clips/%d/transport/cuepoints/setparams/set6">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="101" type="_PUSH_" description="SetCue 6 (Selected)" address="/composition/selectedclip/transport/cuepoints/setparams/set6">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="102" type="_PUSH_" description="JumpCue 1" address="/composition/layers/%d/clips/%d/transport/cuepoints/jumpparams/jump1">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="103" type="_PUSH_" description="JumpCue 1 (Selected)" address="/composition/selectedclip/transport/cuepoints/jumpparams/jump1">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="104" type="_PUSH_" description="JumpCue 2" address="/composition/layers/%d/clips/%d/transport/cuepoints/jumpparams/jump2">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="105" type="_PUSH_" description="JumpCue 2 (Selected)" address="/composition/selectedclip/transport/cuepoints/jumpparams/jump2">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="106" type="_PUSH_" description="JumpCue 3" address="/composition/layers/%d/clips/%d/transport/cuepoints/jumpparams/jump3">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="107" type="_PUSH_" description="JumpCue 3 (Selected)" address="/composition/selectedclip/transport/cuepoints/jumpparams/jump3">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="108" type="_PUSH_" description="JumpCue 4" address="/composition/layers/%d/clips/%d/transport/cuepoints/jumpparams/jump4">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="109" type="_PUSH_" description="JumpCue 4 (Selected)" address="/composition/selectedclip/transport/cuepoints/jumpparams/jump4">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="110" type="_PUSH_" description="JumpCue 5" address="/composition/layers/%d/clips/%d/transport/cuepoints/jumpparams/jump5">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="111" type="_PUSH_" description="JumpCue 5 (Selected)" address="/composition/selectedclip/transport/cuepoints/jumpparams/jump54">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="112" type="_PUSH_" description="JumpCue 6" address="/composition/layers/%d/clips/%d/transport/cuepoints/jumpparams/jump6">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="113" type="_PUSH_" description="JumpCue 6 (Selected)" address="/composition/selectedclip/transport/cuepoints/jumpparams/jump6">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="114" type="_RANGE_" description="Clip Opacity" address="/composition/layers/%d/clips/%d/video/opacity">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="115" type="_RANGE_" description="Clip Opacity (Selected)" address="/composition/selectedclip/video/opacity">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="116" type="_RANGE_" description="Clip Width" address="/composition/layers/%d/clips/%d/video/width">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="117" type="_RANGE_" description="Clip Width (selected)" address="/composition/selectedclip/video/width">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="118" type="_RANGE_" description="Clip Height" address="/composition/layers/%/clips/%/video/height">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="119" type="_RANGE_" description="Clip Height (Selected)" address="/composition/selectedclip/video/height">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="120" type="_EXCLUSIVE_" description="Clip Blend Mode" address="/composition/layers/%d/clips/%d/video/mixer/blendmode">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Layer Determined" value="0"/>
            <choice description="50 Add" value="1"/>
            <choice description="50 Distance" value="2"/>
            <choice description="50 Lighten" value="3"/>
            <choice description="50 Mask" value="4"/>
            <choice description="50 Substract" value="5"/>
            <choice description="Add" value="6"/>
            <choice description="Alpha" value="7"/>
            <choice description="BW" value="8"/>
            <choice description="Burn" value="9"/>
            <choice description="Cube" value="10"/>
            <choice description="Cut" value="11"/>
            <choice description="DigiGlitch" value="12"/>
            <choice description="Darken" value="13"/>
            <choice description="Diffrence" value="14"/>
            <choice description="Difference_1" value="15"/>
            <choice description="Displace" value="16"/>
            <choice description="Dodge" value="17"/>
            <choice description="HardLight" value="18"/>
            <choice description="JitterBug" value="19"/>
            <choice description="Lighten" value="20"/>
            <choice description="LoRez" value="21"/>
            <choice description="LumaIsAlpha" value="22"/>
            <choice description="LumaKey" value="23"/>
            <choice description="LumaKey_1" value="24"/>
            <choice description="MetaMix" value="25"/>
            <choice description="MultiTask" value="26"/>
            <choice description="Multiply" value="27"/>
            <choice description="Noisy" value="28"/>
            <choice description="Parts" value="29"/>
            <choice description="PushDown" value="30"/>
            <choice description="PushLeft" value="31"/>
            <choice description="PushRight" value="32"/>
            <choice description="PushUp" value="33"/>
            <choice description="RGB" value="34"/>
            <choice description="RotateX" value="35"/>
            <choice description="RotateY" value="36"/>
            <choice description="Screen" value="37"/>
            <choice description="ShiftRGB" value="38"/>
            <choice description="Side_by_Side" value="39"/>
            <choice description="SoftLight" value="40"/>
            <choice description="Static" value="41"/>
            <choice description="Subtract" value="42"/>
            <choice description="Tile" value="43"/>
            <choice description="TimeSwitcher" value="44"/>
            <choice description="Twitch" value="45"/>
            <choice description="WipeElipse" value="46"/>
            <choice description="ZoomIn" value="47"/>
            <choice description="ZoomOut" value="48"/>
            <choice description="toBlack" value="49"/>
            <choice description="toColor" value="50"/>
            <choice description="toWhite" value="51"/>
          </parameter>
        </feature>

        <feature id="121" type="_EXCLUSIVE_" description="Clip Blend Mode (Selected)" address="/composition/selectedclip/video/mixer/blendmode">
          <parameter description="Mode" mode="_OSC_" type="_INT_" active="true">
            <choice description="Layer Determined" value="0"/>
            <choice description="50 Add" value="1"/>
            <choice description="50 Distance" value="2"/>
            <choice description="50 Lighten" value="3"/>
            <choice description="50 Mask" value="4"/>
            <choice description="50 Substract" value="5"/>
            <choice description="Add" value="6"/>
            <choice description="Alpha" value="7"/>
            <choice description="BW" value="8"/>
            <choice description="Burn" value="9"/>
            <choice description="Cube" value="10"/>
            <choice description="Cut" value="11"/>
            <choice description="DigiGlitch" value="12"/>
            <choice description="Darken" value="13"/>
            <choice description="Diffrence" value="14"/>
            <choice description="Difference_1" value="15"/>
            <choice description="Displace" value="16"/>
            <choice description="Dodge" value="17"/>
            <choice description="HardLight" value="18"/>
            <choice description="JitterBug" value="19"/>
            <choice description="Lighten" value="20"/>
            <choice description="LoRez" value="21"/>
            <choice description="LumaIsAlpha" value="22"/>
            <choice description="LumaKey" value="23"/>
            <choice description="LumaKey_1" value="24"/>
            <choice description="MetaMix" value="25"/>
            <choice description="MultiTask" value="26"/>
            <choice description="Multiply" value="27"/>
            <choice description="Noisy" value="28"/>
            <choice description="Parts" value="29"/>
            <choice description="PushDown" value="30"/>
            <choice description="PushLeft" value="31"/>
            <choice description="PushRight" value="32"/>
            <choice description="PushUp" value="33"/>
            <choice description="RGB" value="34"/>
            <choice description="RotateX" value="35"/>
            <choice description="RotateY" value="36"/>
            <choice description="Screen" value="37"/>
            <choice description="ShiftRGB" value="38"/>
            <choice description="Side_by_Side" value="39"/>
            <choice description="SoftLight" value="40"/>
            <choice description="Static" value="41"/>
            <choice description="Subtract" value="42"/>
            <choice description="Tile" value="43"/>
            <choice description="TimeSwitcher" value="44"/>
            <choice description="Twitch" value="45"/>
            <choice description="WipeElipse" value="46"/>
            <choice description="ZoomIn" value="47"/>
            <choice description="ZoomOut" value="48"/>
            <choice description="toBlack" value="49"/>
            <choice description="toColor" value="50"/>
            <choice description="toWhite" value="51"/>
          </parameter>
        </feature>

        <feature id="122" type="_RANGE_" description="Position X" address="/composition/layers/%d/clips/%d/video/effects/transform/positionx">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="123" type="_RANGE_" description="Position X (Selected)" address="/composition/selectedclip/video/effects/transform/positionx">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="124" type="_RANGE_" description="Position Y" address="/composition/layers/%d/clips/%d/video/effects/transform/positiony">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="125" type="_RANGE_" description="Position Y (Selected)" address="/composition/selectedclip/video/effects/transform/positiony">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="126" type="_RANGE_" description="Scale" address="/composition/layers/%d/clips/%d/video/effects/transform/scale">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="127" type="_RANGE_" description="Scale (Selected)" address="/composition/selectedclip/video/effects/transform/scale">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="128" type="_RANGE_" description="Scale Width" address="/composition/layers/%d/clips/%d/video/effects/transform/scalew">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="129" type="_RANGE_" description="Scale Width (Selected)" address="/composition/selectedclip/video/effects/transform/scalew">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="130" type="_RANGE_" description="Scale Height" address="/composition/layers/%d/clips/%d/video/effects/transform/scaleh">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="131" type="_RANGE_" description="Scale Height (Selected)" address="/composition/selectedclip/video/effects/transform/scaleh">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="132" type="_RANGE_" description="Rotation X" address="/composition/layers/2/clips/3/video/effects/transform/rotationx">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="133" type="_RANGE_" description="Rotation X (Selected)" address="/composition/selectedclip/video/effects/transform/rotationx">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="134" type="_RANGE_" description="Rotation Y" address="/composition/layers/%d/clips/%d/video/effects/transform/rotationy">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="135" type="_RANGE_" description="Rotation Y (Selected)" address="/composition/selectedclip/video/effects/transform/rotationy">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="136" type="_RANGE_" description="Rotation Z" address="/composition/layers/%d/clips/%d/video/effects/transform/rotationz">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="137" type="_RANGE_" description="Rotation Z (Selected)" address="/composition/selectedclip/video/effects/transform/rotationz">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="138" type="_RANGE_" description="Anchor X" address="/composition/layers/%d/clips/%d/video/effects/transform/anchorx">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="139" type="_RANGE_" description="Anchor X (Selected)" address="/composition/selectedclip/video/effects/transform/anchorx">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="140" type="_RANGE_" description="Anchor Y" address="/composition/layers/%d/clips/%d/video/effects/transform/anchory">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="141" type="_RANGE_" description="Anchor Y (Selected)" address="/composition/selectedclip/video/effects/transform/anchory">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="142" type="_RANGE_" description="Anchor Z" address="/composition/layers/%d/clips/%d/video/effects/transform/anchorz">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="143" type="_RANGE_" description="Anchor Y (Selected)" address="/composition/selectedclip/video/effects/transform/anchorz">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="144" type="_RANGE_" description="Dash Link 1" address="/composition/layers/%d/clips/%d/dashboard/link1">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="145" type="_RANGE_" description="Dash Link 1 (Selected)" address="/composition/selectedclip/dashboard/link1">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="146" type="_RANGE_" description="Dash Link 2" address="/composition/layers/%d/clips/%d/dashboard/link2">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="147" type="_RANGE_" description="Dash Link 2 (Selected)" address="/composition/selectedclip/dashboard/link2">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="148" type="_RANGE_" description="Dash Link 3" address="/composition/layers/%d/clips/%d/dashboard/link3">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="149" type="_RANGE_" description="Dash Link 3 (Selected)" address="/composition/selectedclip/dashboard/link3">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="150" type="_RANGE_" description="Dash Link 4" address="/composition/layers/%d/clips/%d/dashboard/link4">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="151" type="_RANGE_" description="Dash Link 4 (Selected)" address="/composition/selectedclip/dashboard/link4">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="152" type="_RANGE_" description="Dash Link 5" address="/composition/layers/%d/clips/%d/dashboard/link5">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="153" type="_RANGE_" description="Dash Link 5 (Selected)" address="/composition/selectedclip/dashboard/link5">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="154" type="_RANGE_" description="Dash Link 6" address="/composition/layers/%d/clips/%d/dashboard/link6">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="155" type="_RANGE_" description="Dash Link 6 (Selected)" address="/composition/selectedclip/dashboard/link6">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="156" type="_RANGE_" description="Dash Link 7" address="/composition/layers/%d/clips/%d/dashboard/link7">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="157" type="_RANGE_" description="Dash Link 7 (Selected)" address="/composition/selectedclip/dashboard/link7">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="158" type="_RANGE_" description="Dash Link 8" address="/composition/layers/%d/clips/%d/dashboard/link8">
          <parameter description="layer" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="clip" mode="_STR_" type="_INT_" min="1" max="500" active="False"/>
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="159" type="_RANGE_" description="Dash Link 8 (Selected)" address="/composition/selectedclip/dashboard/link8">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

      </group>

      <!-- Composition -->

      <group description="Composition">

        <feature id="160" type="_PUSH_" description="Disconnect All" address="/composition/disconnectall">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="161" type="_PUSH_" description="Bypass" address="/composition/bypassed">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="162" type="_RANGE_" description="Master" address="/composition/master">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="163" type="_RANGE_" description="Speed" address="/composition/speed">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="164" type="_RANGE_" description="Video Opacity" address="/composition/video/opacity">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="165" type="_RANGE_" description="Audio Volume" address="/composition/audio/volume">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="1" hidden="true"></parameter>
        </feature>

        <feature id="166" type="_RANGE_" description="Audio Pan" address="/composition/audio/pan">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="167" type="_RANGE_" description="Position X" address="/composition/video/effects/transform/positionx">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="168" type="_RANGE_" description="Position Y" address="/composition/video/effects/transform/positiony">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="169" type="_RANGE_" description="Scale" address="/composition/video/effects/transform/scale">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="170" type="_RANGE_" description="Scale Width" address="/composition/video/effects/transform/scalew">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="171" type="_RANGE_" description="Scale Height" address="/composition/video/effects/transform/scaleh">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="172" type="_RANGE_" description="Rotation X" address="/composition/video/effects/transform/rotationx">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="173" type="_RANGE_" description="Rotation Y" address="/composition/video/effects/transform/rotationy">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="174" type="_RANGE_" description="Rotation Z" address="/composition/video/effects/transform/rotationz">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="175" type="_RANGE_" description="Anchor X" address="/composition/video/effects/transform/anchorx">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="176" type="_RANGE_" description="Anchor Y" address="/composition/video/effects/transform/anchory">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="177" type="_RANGE_" description="Anchor Z" address="/composition/video/effects/transform/anchorz">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0.5" hidden="true"></parameter>
        </feature>

        <feature id="178" type="_PUSH_" description="XFade A" address="/composition/crossfader/sidea">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="179" type="_PUSH_" description="XFade B" address="/composition/crossfader/sideb">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="180" type="_RANGE_" description="XFade" address="/composition/crossfader/phase">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="181" type="_PUSH_" description="Prev Deck" address="/composition/selectprevdeck">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="182" type="_PUSH_" description="Next Deck" address="/composition/selectnextdeck">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="183" type="_PUSH_" description="Select Deck" address="/composition/decks/%d/select">
          <parameter description="Deck" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="184" type="_PUSH_" description="Coonect Column" address="/composition/columns/%d/connect">
          <parameter description="Deck" mode="_STR_" type="_INT_" min="1" max="64" active="False"/>
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="185" type="_PUSH_" description="Coonect Column (Selected)" address="/composition/selectedcolumn/connect">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="186" type="_RANGE_" description="Tempo" address="/composition/tempocontroller/tempo">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="187" type="_PUSH_" description="Tempo Decrement" address="/composition/tempocontroller/tempo/dec">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="188" type="_PUSH_" description="Tempo Increment" address="/composition/tempocontroller/tempo/inc">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="189" type="_PUSH_" description="Tempo Pull" address="/composition/tempocontroller/tempopull">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="190" type="_PUSH_" description="Tempo Push" address="/composition/tempocontroller/tempopush">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="191" type="_PUSH_" description="Tempo Divide" address="/composition/tempocontroller/tempo/divide">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="192" type="_PUSH_" description="Tempo Multiply" address="/composition/tempocontroller/tempo/multiply">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="193" type="_PUSH_" description="Tempo TAP" address="/composition/tempocontroller/tempotap">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="194" type="_PUSH_" description="Tempo Resync" address="/composition/tempocontroller/resync">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="195" type="_PUSH_" description="Tempo Pause" address="/composition/tempocontroller/pause">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="196" type="_PUSH_" description="Metronome" address="/composition/tempocontroller/metronome">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="true" active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="197" type="_TOGGLE_" description="Record" address="/composition/recorder/record">
          <parameter description="" mode="_OSC_" type="_INT_" hidden="T" active="T">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="198" type="_RANGE_" description="Dash Link1" address="/composition/dashboard/link1">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="199" type="_RANGE_" description="Dash Link2" address="/composition/dashboard/link2">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="200" type="_RANGE_" description="Dash Link3" address="/composition/dashboard/link3">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="201" type="_RANGE_" description="Dash Link4" address="/composition/dashboard/link4">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="202" type="_RANGE_" description="Dash Link5" address="/composition/dashboard/link5">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="203" type="_RANGE_" description="Dash Link6" address="/composition/dashboard/link6">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="204" type="_RANGE_" description="Dash Link7" address="/composition/dashboard/link7">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

        <feature id="205" type="_RANGE_" description="Dash Link8" address="/composition/dashboard/link8">
          <parameter description="Value" mode="_OSC_" type="_FLOAT_" active="true" min="0" max="1" startvalue="0" hidden="true"></parameter>
        </feature>

      </group>

    </features>

  </dspDevice>
</DSP>
