<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<DSP xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../DeviceShareProject_device.xsd">

  <dspDevice>

    <libraryManifest
      ID="000013"
      creationDate="2020-05-18 16:26"
      author="ACervera"
      wing_soft_version="1.0.0"
      DocumentVersion="1"
      Updated="2020-05-18 16:26">
    </libraryManifest>

    <deviceInfo
      deviceType="_HARDWARE_"
      deviceManufacturer="WorkPro"
      deviceModel="LM5_osc"
      deviceVersion=""
      deviceDescription="DMX Controller"
      releaseDate="2012-02-10"
      deviceSite="https://www.workpro.es/products/lm-5"
      max_power_consumption=""
      weight=""
      height=""
      widht=""
      depth=""
      shape=""></deviceInfo>

    <connection
      name="Connection"
      description="The parameters that control the communication between your device and your LM5 controller"
      connectionType="_NETWORK_"
      protocolType="_OSC_">
      <adrress description="IP Address"/>
      <port default="8000" description="Port"/>
    </connection>

    <features>

      <!-- Functions -->

      <group description="Functions">

        <feature id="1"
          type="_RANGE_"
          description="Set Channel Level"
          address="/dmx/set/ch/%d">
          <parameter
            description="Choose Channel"
            mode="_STR_"
            type="_INT_"
            min="1"
            max="512"
            active="false">
          </parameter>
          <parameter
            description="Level"
            mode="_OSC_"
            type="_FLOAT_"
            active="true"
            min="0"
            max="255"
            startvalue="0"
            hidden="true">
          </parameter>
        </feature>

        <feature id="2"
          type="_TOGGLE_"
          description="Blackout"
          address="/dmx/set/black_out">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="0"/>
            <choice description="Release" value="1"/>
          </parameter>
        </feature>

        <feature id="3"
          type="_PUSH_"
          description="All to Zero"
          address="/dmx/set/clear">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="4"
          type="_PUSH_"
          description="All to Full"
          address="/dmx/set/set">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="5"
          type="_EXCLUSIVE_"
          description="Play Show"
          address="/dmx/play/show">
          <parameter
            description="Show"
            mode="_OSC_"
            type="_INT_"
            active="true">
            <choice description="Show 1" value="1"/>
            <choice description="Show 2" value="2"/>
            <choice description="Show 3" value="3"/>
            <choice description="Show 4" value="4"/>
            <choice description="Show 5" value="5"/>
            <choice description="Show 6" value="6"/>
            <choice description="Show 7" value="7"/>
            <choice description="Show 8" value="8"/>
            <choice description="Show 9" value="9"/>
            <choice description="Show 10" value="10"/>
            <choice description="Show 11" value="11"/>
            <choice description="Show 12" value="12"/>
            <choice description="Show 13" value="13"/>
            <choice description="Show 14" value="14"/>
            <choice description="Show 15" value="15"/>
            <choice description="Show 16" value="16"/>
            <choice description="Show 17" value="17"/>
            <choice description="Show 18" value="18"/>
            <choice description="Show 19" value="19"/>
            <choice description="Show 20" value="20"/>
            <choice description="Show 21" value="21"/>
            <choice description="Show 22" value="22"/>
            <choice description="Show 23" value="23"/>
            <choice description="Show 24" value="24"/>
          </parameter>
        </feature>

        <feature id="6"
          type="_PUSH_"
          description="Stop Show"
          address="/dmx/play/show/stop">
          <parameter
            description=""
            mode="_OSC_"
            type="_INT_"
            hidden="true"
            active="true">
            <choice description="Press" value="1"/>
            <choice description="Release" value="0"/>
          </parameter>
        </feature>

        <feature id="7"
          type="_EXCLUSIVE_"
          description="Play Scene"
          address="/dmx/play/scene">
          <parameter
            description="Show"
            mode="_OSC_"
            type="_INT_"
            active="true">
            <choice description="Scene 1" value="1"/>
            <choice description="Scene 2" value="2"/>
            <choice description="Scene 3" value="3"/>
            <choice description="Scene 4" value="4"/>
            <choice description="Scene 5" value="5"/>
            <choice description="Scene 6" value="6"/>
            <choice description="Scene 7" value="7"/>
            <choice description="Scene 8" value="8"/>
            <choice description="Scene 9" value="9"/>
            <choice description="Scene 10" value="10"/>
            <choice description="Scene 11" value="11"/>
            <choice description="Scene 12" value="12"/>
            <choice description="Scene 13" value="13"/>
            <choice description="Scene 14" value="14"/>
            <choice description="Scene 15" value="15"/>
            <choice description="Scene 16" value="16"/>
            <choice description="Scene 17" value="17"/>
            <choice description="Scene 18" value="18"/>
            <choice description="Scene 19" value="19"/>
            <choice description="Scene 20" value="20"/>
            <choice description="Scene 21" value="21"/>
            <choice description="Scene 22" value="22"/>
            <choice description="Scene 23" value="23"/>
            <choice description="Scene 24" value="24"/>
            <choice description="Scene 25" value="25"/>
            <choice description="Scene 26" value="26"/>
            <choice description="Scene 27" value="27"/>
            <choice description="Scene 28" value="28"/>
            <choice description="Scene 29" value="29"/>
            <choice description="Scene 30" value="30"/>
            <choice description="Scene 31" value="31"/>
            <choice description="Scene 32" value="32"/>
            <choice description="Scene 33" value="33"/>
            <choice description="Scene 34" value="34"/>
            <choice description="Scene 35" value="35"/>
            <choice description="Scene 36" value="36"/>
            <choice description="Scene 37" value="37"/>
            <choice description="Scene 38" value="38"/>
            <choice description="Scene 39" value="39"/>
            <choice description="Scene 40" value="40"/>
            <choice description="Scene 41" value="41"/>
            <choice description="Scene 42" value="42"/>
            <choice description="Scene 43" value="43"/>
            <choice description="Scene 44" value="44"/>
            <choice description="Scene 45" value="45"/>
            <choice description="Scene 46" value="46"/>
            <choice description="Scene 47" value="47"/>
            <choice description="Scene 48" value="48"/>
            <choice description="Scene 49" value="49"/>
            <choice description="Scene 50" value="50"/>
          </parameter>
        </feature>

      </group>

    </features>

  </dspDevice>
</DSP>
